jeg takker det har jeg gjordt ,jeg er også kommet i kontakt med inventor men den bliver ved med at gå i fejl hvad gøre jeg forkert
Private Sub Commandindsæt_Click()
Dim oApp As Inventor.Application
Set oApp = GetObject(, "Inventor.Application")
' Set a reference to the currently active document.
Dim oDoc As Inventor.AssemblyDocument
Set oDoc = oApp.ActiveDocument
' Set a reference to the assembly component definintion.
' This assumes an assembly document is open.
Dim oAsmCompDef As AssemblyComponentDefinition
Set oAsmCompDef = ActiveDocument.ComponentDefinition
' Set a reference to the transient geometry object.
Dim oTG As TransientGeometry
Set oTG = ThisApplication.TransientGeometry
' Create a matrix. A new matrix is initialized with an identity matrix.
Dim oMatrix As Matrix
Set oMatrix = oTG.CreateMatrix
' Set the rotation of the matrix for a 45 degree rotation about the Z axis.
Call oMatrix.SetToRotation(3.14159265358979 / 4, _
oTG.CreateVector(0, 0, 1), oTG.CreatePoint(0, 0, 0))
' Set the translation portion of the matrix so the part will be positioned
' at (3,2,1).
Call oMatrix.SetTranslation(oTG.CreateVector(3, 2, 1))
' Add the occurrence.
Dim oOcc As ComponentOccurrence
Set oOcc = oAsmCompDef.Occurrences.Add("C:\vb\Ipart\RRTL_x.ipt", oMatrix)